Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class StandardErrorHandler

    java.lang.Object
      net.sf.saxon.StandardErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class StandardErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Constructor Summary
`StandardErrorHandler(javax.xml.transform.ErrorListener listener)`

Method Summary
`void` | `error(org.xml.sax.SAXParseException e)` Callback interface for SAX: not for application use
`void` | `fatalError(org.xml.sax.SAXParseException e)` Callback interface for SAX: not for application use
`int` | `getErrorCount()` Return the number of errors (including warnings) reported
`protected void` | `reportError(org.xml.sax.SAXParseException e, boolean isFatal)` Common routine for SAX errors and fatal errors
`void` | `setErrorOutput(java.io.Writer writer)` Set output for error messages produced by the default error handler.
`void` | `warning(org.xml.sax.SAXParseException e)` Callback interface for SAX: not for application use

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardErrorHandler

    public StandardErrorHandler(javax.xml.transform.ErrorListener listener)

Method Detail

### setErrorOutput

    public void setErrorOutput(java.io.Writer writer)

  Set output for error messages produced by the default error handler. The default error handler does not throw an exception for parse errors or input I/O errors, rather it returns a result code and writes diagnostics to a user-specified output writer, which defaults to System.err
  This call has no effect if setErrorHandler() has been called to supply a user-defined error handler

  Parameters:
    `writer` - The Writer to use for error messages

### warning

    public void warning(org.xml.sax.SAXParseException e)

  Callback interface for SAX: not for application use

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Callback interface for SAX: not for application use

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Callback interface for SAX: not for application use

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### reportError

    protected void reportError(org.xml.sax.SAXParseException e,
                               boolean isFatal)

  Common routine for SAX errors and fatal errors

### getErrorCount

    public int getErrorCount()

  Return the number of errors (including warnings) reported

  Returns:
    the number of errors and warnings

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.